Author Topic: (SOLVED) error mail upgrade 6 to 7 version  (Read 249 times)

havacuban

  • Zen Monk
  • **
  • Posts: 52
  • Karma: +5/-0
    • View Profile
(SOLVED) error mail upgrade 6 to 7 version
« on: March 29, 2021, 05:17:37 pm »
Hi
I have problems with the Mail to Restart Module Service gives me the following error after upgrade 6 to 7
zentyal 7.0.3
module mail 7.0.1
zentyal pdc

 error * Restarting Zentyal module: mail                                                                                                                               [fail]
Error en la creaci�n de entrada de LDAP: The request contains a value which does not meet with certain constraints.
This result can be returned as a consequence of

 * The request was to add or modify a user password, and the password fails to
meet the criteria the server is configured to check. This could be that the
password is too short, or a recognizable word (e.g. it matches one of the
attributes in the users entry) or it matches a previous password used by
the same user.

 * The request is a bind request to a user account that has been locked
.<br/> Operation parameters:'add []
'
Best regards, havacuban

-----------------SOLVED--------------------------
The issue was the rIDNextRID in samba update.
just modified that value whit
ldbedit -H /var/lib/samba/private/sam.ldb CN="RID Set"
and restart samba-ad-dc service
« Last Edit: April 06, 2021, 07:32:42 pm by havacuban »

Daniel Joven

  • Zentyal Staff
  • Zen Apprentice
  • *****
  • Posts: 28
  • Karma: +17/-0
    • View Profile
Re: error mail upgrade 6 to 7 version
« Reply #1 on: March 29, 2021, 06:49:39 pm »
Hi havacuban,

It seems that you have issue with the special mail user of your Domain Controller. Did you do anything to this user?

Aparently, you have at least two errors:

One error is: 'The request is a bind request to a user account that has been locked'. You can do the following to try to solve this error:

1. Check the name of the user.

Code: [Select]
samba-tool user list | grep 'zentyal-mail-'
{/code]

2. Check if the user is locked:

[code]
ldbedit -Lv -u name_of_the_user | grep 'Account Flags'

NOTE: If it has the flag 'D' it means that it disabled

2.1 To unlock the user:

Code: [Select]
samba-tool user enable name_of_the_user

3. Restart the mail module and check if the error have disappeared.

And the other error is: 'he password fails to meet the criteria the server is configured to check'. Do you remember if you change his password? Please, take a look at the file '/var/lib/zentyal/conf/zentyal-mail-your_user_name.passwd' and check if the file was changed recently. In case it doesn't, you could try to set the same password to the user and restart again the Mail module.

Code: [Select]
smbpasswd name_of_the_user

Hope it helps.

Best regards, Daniel Joven.

havacuban

  • Zen Monk
  • **
  • Posts: 52
  • Karma: +5/-0
    • View Profile
Re: error mail upgrade 6 to 7 version
« Reply #2 on: March 29, 2021, 09:00:17 pm »
Hi
thanks for your quick response

samba-tool user list | grep 'zentyal-mail-'

The USER Zentyal-Mail-Zentyalplc P does not exist as it should occur and the ZS mail can not generate
As you could recreate user manually, by Jxplorer and samba-tool try to generate it and it tells me that I do not have permissions to create.

Try reinstalling the Mail module and generated me the same error mentioned above.

Best regards, havacuban